import React, { useState, useEffect } from 'react';

export const Input: React.FC<Props> = ({type, name, label, onChange, value }) => {

const RadioButton = ({...props}) => {
    const [variable, setVariable] = useState(0);
    const change = (e) => {
        setVariable(e.target.value);
        props.updateData(e.target.value);
    }
    return(
        <div className='fieldset'>
            {props.masImg.map((name, num) => <>
                <input
                    type="radio"
                    name="radio"
                    className='radioButton'
                    value={num}
                    onChange={(e) =>change(e) }
                    checked={variable == num}
                /> </>
            )}
        </div>
    )
}

export default RadioButton;